version: '2'
services:
  web:
    image: nginx:alpine
    mem_limit: 512m
    ports:
      - "8080:80"
    volumes:
      - ./src:/var/www/html
      - ./nginx.conf:/etc/nginx/nginx.conf
    links:
      - php7
  
  php7:
    build: .
    mem_limit: 512m
    volumes:
      - ./src:/var/www/html
    links:
      - mysql
  
  mysql:
    image: mysql:5
    mem_limit: 512m
    environment:
      MYSQL_ROOT_PASSWORD: root_sql
      MYSQL_DATABASE: saleproject
    
  adminer:
    image: adminer
    ports:
      - "8081:8080"
